#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <string.h>
#include <pslib.h>
#include "pmVersion.h"

static const char *cvsTag = "$Name: not supported by cvs2svn $";// CVS tag name

psString psModulesVersion(void)
{
    psString version = NULL;            // Version, to return
    psStringAppend(&version, "%s-%s",PACKAGE_NAME,PACKAGE_VERSION);
    return version;
}

psString psModulesVersionLong(void)
{
    psString version = psModulesVersion(); // Version, to return
    psString tag = psStringStripCVS(cvsTag, "Name"); // CVS tag

    psStringAppend(&version, " (cvs tag %s) %s, %s", tag, __DATE__, __TIME__);

    psFree(tag);
    return version;
}
